"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../lib/command");
const process_1 = require("../utils/process");
const path_1 = require("../utils/path");
let ExtractMessages = class ExtractMessages {
    async run(args, silent) {
        try {
            await process_1.runProcess('node', [path_1.packageRoot('dist/scripts/extract-i18n-messages.js')], { silent });
        }
        catch (e) {
            process_1.handleProcessError(e);
        }
    }
};
ExtractMessages = __decorate([
    command_1.Command({
        name: 'extract-i18n-messages',
        alias: 'em',
        description: 'Extract i18n default messages from .vue files.',
    })
], ExtractMessages);
exports.ExtractMessages = ExtractMessages;
