"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../lib/command");
const process_1 = require("../utils/process");
let Add = class Add {
    async run(args, silent) {
        const promises = [];
        args.forEach((command) => {
            const split = command.split(' ');
            promises.push(process_1.runProcess(split.shift(), split));
        });
    }
};
Add = __decorate([
    command_1.Command({
        name: 'parallel [commands...]',
        alias: 'p',
        description: 'Run commands in parallel.',
    })
], Add);
exports.Add = Add;
