"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander = require("commander");
const Package_1 = require("./models/Package");
const glob_1 = require("glob");
const path_1 = require("./utils/path");
glob_1.sync(`${path_1.packageRoot()}/dist/commands/*.js`).forEach((file) => require(file));
commander
    .name(Package_1.Package.name)
    .version(Package_1.Package.version, '-v, --version')
    .option('-s, --silent', 'silence output.', false)
    .description(Package_1.Package.description);
commander.parse(process.argv);
