export interface ICommandMetadata {
    name: string;
    description: string;
    alias?: string;
    options?: IOption[];
    arguments?: IArgument[];
}
export interface IOption {
    flags: string;
    description?: string;
    formatter?: any;
    defaultValue?: any;
}
export interface IArgument {
    name: string;
    required?: boolean;
    defaultValue?: string;
}
export interface ICommandHandler {
    run(args: string[], silent: boolean): any;
}
export declare function Command(meta: ICommandMetadata): any;
