"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
const base_server_1 = require("./base-server");
const path_1 = require("../../utils/path");
exports.devServer = utils_1.merge(base_server_1.baseServer, {
    entry: {
        'dev-server': path_1.packageRoot('dist/webpack/dev/server'),
    },
    output: {
        filename: 'dev-server.js',
    },
    externals: [utils_1.nodeExternals()],
    node: {
        __dirname: true,
    },
});
exports.default = exports.devServer;
