"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
const base_server_1 = require("./base-server");
const path_1 = require("../../utils/path");
const VueSSRPlugin = require('vue-ssr-webpack-plugin');
exports.isomorphic = utils_1.merge(base_server_1.baseServer, {
    entry: { isomorphic: path_1.runtimeRoot('src/server/isomorphic') },
    output: {
        filename: 'isomorphic.js',
        libraryTarget: 'commonjs2',
    },
    externals: [utils_1.nodeExternals()],
    plugins: [new VueSSRPlugin({})],
});
exports.default = exports.isomorphic;
