"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../lib/command");
const process_1 = require("../utils/process");
const path_1 = require("../utils/path");
const Config_1 = require("../models/Config");
let Generate = class Generate {
    async run(args, silent) {
        try {
            await process_1.runProcess('plop', ['--plopfile', path_1.packageRoot('dist/generators/index.js')], { silent });
            await process_1.runProcess('vue-starter-service', ['prettier', '--pattern', `${Config_1.Config.generators.outputDirectory}/**/*`], {
                silent,
            });
        }
        catch (e) {
            process_1.handleProcessError(e);
        }
    }
};
Generate = __decorate([
    command_1.Command({
        name: 'generate',
        alias: 'g',
        description: 'Generate Components, Connected Components or Modules.',
    })
], Generate);
exports.Generate = Generate;
